import { ApiGatewayV2Client } from "./ApiGatewayV2Client";
import { CreateApiInput } from "./types/CreateApiInput";
import { CreateApiMappingInput } from "./types/CreateApiMappingInput";
import { CreateApiMappingOutput } from "./types/CreateApiMappingOutput";
import { CreateApiOutput } from "./types/CreateApiOutput";
import { CreateAuthorizerInput } from "./types/CreateAuthorizerInput";
import { CreateAuthorizerOutput } from "./types/CreateAuthorizerOutput";
import { CreateDeploymentInput } from "./types/CreateDeploymentInput";
import { CreateDeploymentOutput } from "./types/CreateDeploymentOutput";
import { CreateDomainNameInput } from "./types/CreateDomainNameInput";
import { CreateDomainNameOutput } from "./types/CreateDomainNameOutput";
import { CreateIntegrationInput } from "./types/CreateIntegrationInput";
import { CreateIntegrationOutput } from "./types/CreateIntegrationOutput";
import { CreateIntegrationResponseInput } from "./types/CreateIntegrationResponseInput";
import { CreateIntegrationResponseOutput } from "./types/CreateIntegrationResponseOutput";
import { CreateModelInput } from "./types/CreateModelInput";
import { CreateModelOutput } from "./types/CreateModelOutput";
import { CreateRouteInput } from "./types/CreateRouteInput";
import { CreateRouteOutput } from "./types/CreateRouteOutput";
import { CreateRouteResponseInput } from "./types/CreateRouteResponseInput";
import { CreateRouteResponseOutput } from "./types/CreateRouteResponseOutput";
import { CreateStageInput } from "./types/CreateStageInput";
import { CreateStageOutput } from "./types/CreateStageOutput";
import { DeleteApiInput } from "./types/DeleteApiInput";
import { DeleteApiMappingInput } from "./types/DeleteApiMappingInput";
import { DeleteApiMappingOutput } from "./types/DeleteApiMappingOutput";
import { DeleteApiOutput } from "./types/DeleteApiOutput";
import { DeleteAuthorizerInput } from "./types/DeleteAuthorizerInput";
import { DeleteAuthorizerOutput } from "./types/DeleteAuthorizerOutput";
import { DeleteDeploymentInput } from "./types/DeleteDeploymentInput";
import { DeleteDeploymentOutput } from "./types/DeleteDeploymentOutput";
import { DeleteDomainNameInput } from "./types/DeleteDomainNameInput";
import { DeleteDomainNameOutput } from "./types/DeleteDomainNameOutput";
import { DeleteIntegrationInput } from "./types/DeleteIntegrationInput";
import { DeleteIntegrationOutput } from "./types/DeleteIntegrationOutput";
import { DeleteIntegrationResponseInput } from "./types/DeleteIntegrationResponseInput";
import { DeleteIntegrationResponseOutput } from "./types/DeleteIntegrationResponseOutput";
import { DeleteModelInput } from "./types/DeleteModelInput";
import { DeleteModelOutput } from "./types/DeleteModelOutput";
import { DeleteRouteInput } from "./types/DeleteRouteInput";
import { DeleteRouteOutput } from "./types/DeleteRouteOutput";
import { DeleteRouteResponseInput } from "./types/DeleteRouteResponseInput";
import { DeleteRouteResponseOutput } from "./types/DeleteRouteResponseOutput";
import { DeleteStageInput } from "./types/DeleteStageInput";
import { DeleteStageOutput } from "./types/DeleteStageOutput";
import { GetApiInput } from "./types/GetApiInput";
import { GetApiMappingInput } from "./types/GetApiMappingInput";
import { GetApiMappingOutput } from "./types/GetApiMappingOutput";
import { GetApiMappingsInput } from "./types/GetApiMappingsInput";
import { GetApiMappingsOutput } from "./types/GetApiMappingsOutput";
import { GetApiOutput } from "./types/GetApiOutput";
import { GetApisInput } from "./types/GetApisInput";
import { GetApisOutput } from "./types/GetApisOutput";
import { GetAuthorizerInput } from "./types/GetAuthorizerInput";
import { GetAuthorizerOutput } from "./types/GetAuthorizerOutput";
import { GetAuthorizersInput } from "./types/GetAuthorizersInput";
import { GetAuthorizersOutput } from "./types/GetAuthorizersOutput";
import { GetDeploymentInput } from "./types/GetDeploymentInput";
import { GetDeploymentOutput } from "./types/GetDeploymentOutput";
import { GetDeploymentsInput } from "./types/GetDeploymentsInput";
import { GetDeploymentsOutput } from "./types/GetDeploymentsOutput";
import { GetDomainNameInput } from "./types/GetDomainNameInput";
import { GetDomainNameOutput } from "./types/GetDomainNameOutput";
import { GetDomainNamesInput } from "./types/GetDomainNamesInput";
import { GetDomainNamesOutput } from "./types/GetDomainNamesOutput";
import { GetIntegrationInput } from "./types/GetIntegrationInput";
import { GetIntegrationOutput } from "./types/GetIntegrationOutput";
import { GetIntegrationResponseInput } from "./types/GetIntegrationResponseInput";
import { GetIntegrationResponseOutput } from "./types/GetIntegrationResponseOutput";
import { GetIntegrationResponsesInput } from "./types/GetIntegrationResponsesInput";
import { GetIntegrationResponsesOutput } from "./types/GetIntegrationResponsesOutput";
import { GetIntegrationsInput } from "./types/GetIntegrationsInput";
import { GetIntegrationsOutput } from "./types/GetIntegrationsOutput";
import { GetModelInput } from "./types/GetModelInput";
import { GetModelOutput } from "./types/GetModelOutput";
import { GetModelTemplateInput } from "./types/GetModelTemplateInput";
import { GetModelTemplateOutput } from "./types/GetModelTemplateOutput";
import { GetModelsInput } from "./types/GetModelsInput";
import { GetModelsOutput } from "./types/GetModelsOutput";
import { GetRouteInput } from "./types/GetRouteInput";
import { GetRouteOutput } from "./types/GetRouteOutput";
import { GetRouteResponseInput } from "./types/GetRouteResponseInput";
import { GetRouteResponseOutput } from "./types/GetRouteResponseOutput";
import { GetRouteResponsesInput } from "./types/GetRouteResponsesInput";
import { GetRouteResponsesOutput } from "./types/GetRouteResponsesOutput";
import { GetRoutesInput } from "./types/GetRoutesInput";
import { GetRoutesOutput } from "./types/GetRoutesOutput";
import { GetStageInput } from "./types/GetStageInput";
import { GetStageOutput } from "./types/GetStageOutput";
import { GetStagesInput } from "./types/GetStagesInput";
import { GetStagesOutput } from "./types/GetStagesOutput";
import { GetTagsInput } from "./types/GetTagsInput";
import { GetTagsOutput } from "./types/GetTagsOutput";
import { TagResourceInput } from "./types/TagResourceInput";
import { TagResourceOutput } from "./types/TagResourceOutput";
import { UntagResourceInput } from "./types/UntagResourceInput";
import { UntagResourceOutput } from "./types/UntagResourceOutput";
import { UpdateApiInput } from "./types/UpdateApiInput";
import { UpdateApiMappingInput } from "./types/UpdateApiMappingInput";
import { UpdateApiMappingOutput } from "./types/UpdateApiMappingOutput";
import { UpdateApiOutput } from "./types/UpdateApiOutput";
import { UpdateAuthorizerInput } from "./types/UpdateAuthorizerInput";
import { UpdateAuthorizerOutput } from "./types/UpdateAuthorizerOutput";
import { UpdateDeploymentInput } from "./types/UpdateDeploymentInput";
import { UpdateDeploymentOutput } from "./types/UpdateDeploymentOutput";
import { UpdateDomainNameInput } from "./types/UpdateDomainNameInput";
import { UpdateDomainNameOutput } from "./types/UpdateDomainNameOutput";
import { UpdateIntegrationInput } from "./types/UpdateIntegrationInput";
import { UpdateIntegrationOutput } from "./types/UpdateIntegrationOutput";
import { UpdateIntegrationResponseInput } from "./types/UpdateIntegrationResponseInput";
import { UpdateIntegrationResponseOutput } from "./types/UpdateIntegrationResponseOutput";
import { UpdateModelInput } from "./types/UpdateModelInput";
import { UpdateModelOutput } from "./types/UpdateModelOutput";
import { UpdateRouteInput } from "./types/UpdateRouteInput";
import { UpdateRouteOutput } from "./types/UpdateRouteOutput";
import { UpdateRouteResponseInput } from "./types/UpdateRouteResponseInput";
import { UpdateRouteResponseOutput } from "./types/UpdateRouteResponseOutput";
import { UpdateStageInput } from "./types/UpdateStageInput";
import { UpdateStageOutput } from "./types/UpdateStageOutput";
export declare class ApiGatewayV2 extends ApiGatewayV2Client {
    /**
     * <p>Creates an Api resource.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {BadRequestException} <p>The request is not valid, for example, the input is incomplete or incorrect. See
     the accompanying error message for details.</p>
     *   - {ConflictException} <p>The requested operation would cause a conflict with the current state of a service
     resource associated with the request. Resolve the conflict before retrying this
     request. See the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    createApi(args: CreateApiInput): Promise<CreateApiOutput>;
    createApi(args: CreateApiInput, cb: (err: any, data?: CreateApiOutput) => void): void;
    /**
     * <p>Creates an API mapping.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {BadRequestException} <p>The request is not valid, for example, the input is incomplete or incorrect. See
     the accompanying error message for details.</p>
     *   - {ConflictException} <p>The requested operation would cause a conflict with the current state of a service
     resource associated with the request. Resolve the conflict before retrying this
     request. See the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    createApiMapping(args: CreateApiMappingInput): Promise<CreateApiMappingOutput>;
    createApiMapping(args: CreateApiMappingInput, cb: (err: any, data?: CreateApiMappingOutput) => void): void;
    /**
     * <p>Creates an Authorizer for an API.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {BadRequestException} <p>The request is not valid, for example, the input is incomplete or incorrect. See
     the accompanying error message for details.</p>
     *   - {ConflictException} <p>The requested operation would cause a conflict with the current state of a service
     resource associated with the request. Resolve the conflict before retrying this
     request. See the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    createAuthorizer(args: CreateAuthorizerInput): Promise<CreateAuthorizerOutput>;
    createAuthorizer(args: CreateAuthorizerInput, cb: (err: any, data?: CreateAuthorizerOutput) => void): void;
    /**
     * <p>Creates a Deployment for an API.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {BadRequestException} <p>The request is not valid, for example, the input is incomplete or incorrect. See
     the accompanying error message for details.</p>
     *   - {ConflictException} <p>The requested operation would cause a conflict with the current state of a service
     resource associated with the request. Resolve the conflict before retrying this
     request. See the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    createDeployment(args: CreateDeploymentInput): Promise<CreateDeploymentOutput>;
    createDeployment(args: CreateDeploymentInput, cb: (err: any, data?: CreateDeploymentOutput) => void): void;
    /**
     * <p>Creates a domain name.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {BadRequestException} <p>The request is not valid, for example, the input is incomplete or incorrect. See
     the accompanying error message for details.</p>
     *   - {ConflictException} <p>The requested operation would cause a conflict with the current state of a service
     resource associated with the request. Resolve the conflict before retrying this
     request. See the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    createDomainName(args: CreateDomainNameInput): Promise<CreateDomainNameOutput>;
    createDomainName(args: CreateDomainNameInput, cb: (err: any, data?: CreateDomainNameOutput) => void): void;
    /**
     * <p>Creates an Integration.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {BadRequestException} <p>The request is not valid, for example, the input is incomplete or incorrect. See
     the accompanying error message for details.</p>
     *   - {ConflictException} <p>The requested operation would cause a conflict with the current state of a service
     resource associated with the request. Resolve the conflict before retrying this
     request. See the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    createIntegration(args: CreateIntegrationInput): Promise<CreateIntegrationOutput>;
    createIntegration(args: CreateIntegrationInput, cb: (err: any, data?: CreateIntegrationOutput) => void): void;
    /**
     * <p>Creates an IntegrationResponses.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {BadRequestException} <p>The request is not valid, for example, the input is incomplete or incorrect. See
     the accompanying error message for details.</p>
     *   - {ConflictException} <p>The requested operation would cause a conflict with the current state of a service
     resource associated with the request. Resolve the conflict before retrying this
     request. See the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    createIntegrationResponse(args: CreateIntegrationResponseInput): Promise<CreateIntegrationResponseOutput>;
    createIntegrationResponse(args: CreateIntegrationResponseInput, cb: (err: any, data?: CreateIntegrationResponseOutput) => void): void;
    /**
     * <p>Creates a Model for an API.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {BadRequestException} <p>The request is not valid, for example, the input is incomplete or incorrect. See
     the accompanying error message for details.</p>
     *   - {ConflictException} <p>The requested operation would cause a conflict with the current state of a service
     resource associated with the request. Resolve the conflict before retrying this
     request. See the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    createModel(args: CreateModelInput): Promise<CreateModelOutput>;
    createModel(args: CreateModelInput, cb: (err: any, data?: CreateModelOutput) => void): void;
    /**
     * <p>Creates a Route for an API.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {BadRequestException} <p>The request is not valid, for example, the input is incomplete or incorrect. See
     the accompanying error message for details.</p>
     *   - {ConflictException} <p>The requested operation would cause a conflict with the current state of a service
     resource associated with the request. Resolve the conflict before retrying this
     request. See the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    createRoute(args: CreateRouteInput): Promise<CreateRouteOutput>;
    createRoute(args: CreateRouteInput, cb: (err: any, data?: CreateRouteOutput) => void): void;
    /**
     * <p>Creates a RouteResponse for a Route.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {BadRequestException} <p>The request is not valid, for example, the input is incomplete or incorrect. See
     the accompanying error message for details.</p>
     *   - {ConflictException} <p>The requested operation would cause a conflict with the current state of a service
     resource associated with the request. Resolve the conflict before retrying this
     request. See the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    createRouteResponse(args: CreateRouteResponseInput): Promise<CreateRouteResponseOutput>;
    createRouteResponse(args: CreateRouteResponseInput, cb: (err: any, data?: CreateRouteResponseOutput) => void): void;
    /**
     * <p>Creates a Stage for an API.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {BadRequestException} <p>The request is not valid, for example, the input is incomplete or incorrect. See
     the accompanying error message for details.</p>
     *   - {ConflictException} <p>The requested operation would cause a conflict with the current state of a service
     resource associated with the request. Resolve the conflict before retrying this
     request. See the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    createStage(args: CreateStageInput): Promise<CreateStageOutput>;
    createStage(args: CreateStageInput, cb: (err: any, data?: CreateStageOutput) => void): void;
    /**
     * <p>Deletes an Api resource.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteApi(args: DeleteApiInput): Promise<DeleteApiOutput>;
    deleteApi(args: DeleteApiInput, cb: (err: any, data?: DeleteApiOutput) => void): void;
    /**
     * <p>Deletes an API mapping.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {BadRequestException} <p>The request is not valid, for example, the input is incomplete or incorrect. See
     the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteApiMapping(args: DeleteApiMappingInput): Promise<DeleteApiMappingOutput>;
    deleteApiMapping(args: DeleteApiMappingInput, cb: (err: any, data?: DeleteApiMappingOutput) => void): void;
    /**
     * <p>Deletes an Authorizer.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteAuthorizer(args: DeleteAuthorizerInput): Promise<DeleteAuthorizerOutput>;
    deleteAuthorizer(args: DeleteAuthorizerInput, cb: (err: any, data?: DeleteAuthorizerOutput) => void): void;
    /**
     * <p>Deletes a Deployment.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteDeployment(args: DeleteDeploymentInput): Promise<DeleteDeploymentOutput>;
    deleteDeployment(args: DeleteDeploymentInput, cb: (err: any, data?: DeleteDeploymentOutput) => void): void;
    /**
     * <p>Deletes a domain name.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteDomainName(args: DeleteDomainNameInput): Promise<DeleteDomainNameOutput>;
    deleteDomainName(args: DeleteDomainNameInput, cb: (err: any, data?: DeleteDomainNameOutput) => void): void;
    /**
     * <p>Deletes an Integration.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteIntegration(args: DeleteIntegrationInput): Promise<DeleteIntegrationOutput>;
    deleteIntegration(args: DeleteIntegrationInput, cb: (err: any, data?: DeleteIntegrationOutput) => void): void;
    /**
     * <p>Deletes an IntegrationResponses.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteIntegrationResponse(args: DeleteIntegrationResponseInput): Promise<DeleteIntegrationResponseOutput>;
    deleteIntegrationResponse(args: DeleteIntegrationResponseInput, cb: (err: any, data?: DeleteIntegrationResponseOutput) => void): void;
    /**
     * <p>Deletes a Model.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteModel(args: DeleteModelInput): Promise<DeleteModelOutput>;
    deleteModel(args: DeleteModelInput, cb: (err: any, data?: DeleteModelOutput) => void): void;
    /**
     * <p>Deletes a Route.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteRoute(args: DeleteRouteInput): Promise<DeleteRouteOutput>;
    deleteRoute(args: DeleteRouteInput, cb: (err: any, data?: DeleteRouteOutput) => void): void;
    /**
     * <p>Deletes a RouteResponse.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteRouteResponse(args: DeleteRouteResponseInput): Promise<DeleteRouteResponseOutput>;
    deleteRouteResponse(args: DeleteRouteResponseInput, cb: (err: any, data?: DeleteRouteResponseOutput) => void): void;
    /**
     * <p>Deletes a Stage.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteStage(args: DeleteStageInput): Promise<DeleteStageOutput>;
    deleteStage(args: DeleteStageInput, cb: (err: any, data?: DeleteStageOutput) => void): void;
    /**
     * <p>Gets an Api resource.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getApi(args: GetApiInput): Promise<GetApiOutput>;
    getApi(args: GetApiInput, cb: (err: any, data?: GetApiOutput) => void): void;
    /**
     * <p>The API mapping.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {BadRequestException} <p>The request is not valid, for example, the input is incomplete or incorrect. See
     the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getApiMapping(args: GetApiMappingInput): Promise<GetApiMappingOutput>;
    getApiMapping(args: GetApiMappingInput, cb: (err: any, data?: GetApiMappingOutput) => void): void;
    /**
     * <p>The API mappings.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {BadRequestException} <p>The request is not valid, for example, the input is incomplete or incorrect. See
     the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getApiMappings(args: GetApiMappingsInput): Promise<GetApiMappingsOutput>;
    getApiMappings(args: GetApiMappingsInput, cb: (err: any, data?: GetApiMappingsOutput) => void): void;
    /**
     * <p>Gets a collection of Api resources.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {BadRequestException} <p>The request is not valid, for example, the input is incomplete or incorrect. See
     the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getApis(args: GetApisInput): Promise<GetApisOutput>;
    getApis(args: GetApisInput, cb: (err: any, data?: GetApisOutput) => void): void;
    /**
     * <p>Gets an Authorizer.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getAuthorizer(args: GetAuthorizerInput): Promise<GetAuthorizerOutput>;
    getAuthorizer(args: GetAuthorizerInput, cb: (err: any, data?: GetAuthorizerOutput) => void): void;
    /**
     * <p>Gets the Authorizers for an API.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {BadRequestException} <p>The request is not valid, for example, the input is incomplete or incorrect. See
     the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getAuthorizers(args: GetAuthorizersInput): Promise<GetAuthorizersOutput>;
    getAuthorizers(args: GetAuthorizersInput, cb: (err: any, data?: GetAuthorizersOutput) => void): void;
    /**
     * <p>Gets a Deployment.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getDeployment(args: GetDeploymentInput): Promise<GetDeploymentOutput>;
    getDeployment(args: GetDeploymentInput, cb: (err: any, data?: GetDeploymentOutput) => void): void;
    /**
     * <p>Gets the Deployments for an API.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {BadRequestException} <p>The request is not valid, for example, the input is incomplete or incorrect. See
     the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getDeployments(args: GetDeploymentsInput): Promise<GetDeploymentsOutput>;
    getDeployments(args: GetDeploymentsInput, cb: (err: any, data?: GetDeploymentsOutput) => void): void;
    /**
     * <p>Gets a domain name.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getDomainName(args: GetDomainNameInput): Promise<GetDomainNameOutput>;
    getDomainName(args: GetDomainNameInput, cb: (err: any, data?: GetDomainNameOutput) => void): void;
    /**
     * <p>Gets the domain names for an AWS account.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {BadRequestException} <p>The request is not valid, for example, the input is incomplete or incorrect. See
     the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getDomainNames(args: GetDomainNamesInput): Promise<GetDomainNamesOutput>;
    getDomainNames(args: GetDomainNamesInput, cb: (err: any, data?: GetDomainNamesOutput) => void): void;
    /**
     * <p>Gets an Integration.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getIntegration(args: GetIntegrationInput): Promise<GetIntegrationOutput>;
    getIntegration(args: GetIntegrationInput, cb: (err: any, data?: GetIntegrationOutput) => void): void;
    /**
     * <p>Gets an IntegrationResponses.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getIntegrationResponse(args: GetIntegrationResponseInput): Promise<GetIntegrationResponseOutput>;
    getIntegrationResponse(args: GetIntegrationResponseInput, cb: (err: any, data?: GetIntegrationResponseOutput) => void): void;
    /**
     * <p>Gets the IntegrationResponses for an Integration.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {BadRequestException} <p>The request is not valid, for example, the input is incomplete or incorrect. See
     the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getIntegrationResponses(args: GetIntegrationResponsesInput): Promise<GetIntegrationResponsesOutput>;
    getIntegrationResponses(args: GetIntegrationResponsesInput, cb: (err: any, data?: GetIntegrationResponsesOutput) => void): void;
    /**
     * <p>Gets the Integrations for an API.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {BadRequestException} <p>The request is not valid, for example, the input is incomplete or incorrect. See
     the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getIntegrations(args: GetIntegrationsInput): Promise<GetIntegrationsOutput>;
    getIntegrations(args: GetIntegrationsInput, cb: (err: any, data?: GetIntegrationsOutput) => void): void;
    /**
     * <p>Gets a Model.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getModel(args: GetModelInput): Promise<GetModelOutput>;
    getModel(args: GetModelInput, cb: (err: any, data?: GetModelOutput) => void): void;
    /**
     * <p>Gets a model template.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getModelTemplate(args: GetModelTemplateInput): Promise<GetModelTemplateOutput>;
    getModelTemplate(args: GetModelTemplateInput, cb: (err: any, data?: GetModelTemplateOutput) => void): void;
    /**
     * <p>Gets the Models for an API.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {BadRequestException} <p>The request is not valid, for example, the input is incomplete or incorrect. See
     the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getModels(args: GetModelsInput): Promise<GetModelsOutput>;
    getModels(args: GetModelsInput, cb: (err: any, data?: GetModelsOutput) => void): void;
    /**
     * <p>Gets a Route.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getRoute(args: GetRouteInput): Promise<GetRouteOutput>;
    getRoute(args: GetRouteInput, cb: (err: any, data?: GetRouteOutput) => void): void;
    /**
     * <p>Gets a RouteResponse.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getRouteResponse(args: GetRouteResponseInput): Promise<GetRouteResponseOutput>;
    getRouteResponse(args: GetRouteResponseInput, cb: (err: any, data?: GetRouteResponseOutput) => void): void;
    /**
     * <p>Gets the RouteResponses for a Route.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {BadRequestException} <p>The request is not valid, for example, the input is incomplete or incorrect. See
     the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getRouteResponses(args: GetRouteResponsesInput): Promise<GetRouteResponsesOutput>;
    getRouteResponses(args: GetRouteResponsesInput, cb: (err: any, data?: GetRouteResponsesOutput) => void): void;
    /**
     * <p>Gets the Routes for an API.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {BadRequestException} <p>The request is not valid, for example, the input is incomplete or incorrect. See
     the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getRoutes(args: GetRoutesInput): Promise<GetRoutesOutput>;
    getRoutes(args: GetRoutesInput, cb: (err: any, data?: GetRoutesOutput) => void): void;
    /**
     * <p>Gets a Stage.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getStage(args: GetStageInput): Promise<GetStageOutput>;
    getStage(args: GetStageInput, cb: (err: any, data?: GetStageOutput) => void): void;
    /**
     * <p>Gets the Stages for an API.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {BadRequestException} <p>The request is not valid, for example, the input is incomplete or incorrect. See
     the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getStages(args: GetStagesInput): Promise<GetStagesOutput>;
    getStages(args: GetStagesInput, cb: (err: any, data?: GetStagesOutput) => void): void;
    /**
     * <p>Gets the Tags for an API.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {BadRequestException} <p>The request is not valid, for example, the input is incomplete or incorrect. See
     the accompanying error message for details.</p>
     *   - {ConflictException} <p>The requested operation would cause a conflict with the current state of a service
     resource associated with the request. Resolve the conflict before retrying this
     request. See the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getTags(args: GetTagsInput): Promise<GetTagsOutput>;
    getTags(args: GetTagsInput, cb: (err: any, data?: GetTagsOutput) => void): void;
    /**
     * <p>Tag an APIGW resource</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {BadRequestException} <p>The request is not valid, for example, the input is incomplete or incorrect. See
     the accompanying error message for details.</p>
     *   - {ConflictException} <p>The requested operation would cause a conflict with the current state of a service
     resource associated with the request. Resolve the conflict before retrying this
     request. See the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    tagResource(args: TagResourceInput): Promise<TagResourceOutput>;
    tagResource(args: TagResourceInput, cb: (err: any, data?: TagResourceOutput) => void): void;
    /**
     * <p>Untag an APIGW resource</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {BadRequestException} <p>The request is not valid, for example, the input is incomplete or incorrect. See
     the accompanying error message for details.</p>
     *   - {ConflictException} <p>The requested operation would cause a conflict with the current state of a service
     resource associated with the request. Resolve the conflict before retrying this
     request. See the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    untagResource(args: UntagResourceInput): Promise<UntagResourceOutput>;
    untagResource(args: UntagResourceInput, cb: (err: any, data?: UntagResourceOutput) => void): void;
    /**
     * <p>Updates an Api resource.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {BadRequestException} <p>The request is not valid, for example, the input is incomplete or incorrect. See
     the accompanying error message for details.</p>
     *   - {ConflictException} <p>The requested operation would cause a conflict with the current state of a service
     resource associated with the request. Resolve the conflict before retrying this
     request. See the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updateApi(args: UpdateApiInput): Promise<UpdateApiOutput>;
    updateApi(args: UpdateApiInput, cb: (err: any, data?: UpdateApiOutput) => void): void;
    /**
     * <p>The API mapping.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {BadRequestException} <p>The request is not valid, for example, the input is incomplete or incorrect. See
     the accompanying error message for details.</p>
     *   - {ConflictException} <p>The requested operation would cause a conflict with the current state of a service
     resource associated with the request. Resolve the conflict before retrying this
     request. See the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updateApiMapping(args: UpdateApiMappingInput): Promise<UpdateApiMappingOutput>;
    updateApiMapping(args: UpdateApiMappingInput, cb: (err: any, data?: UpdateApiMappingOutput) => void): void;
    /**
     * <p>Updates an Authorizer.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {BadRequestException} <p>The request is not valid, for example, the input is incomplete or incorrect. See
     the accompanying error message for details.</p>
     *   - {ConflictException} <p>The requested operation would cause a conflict with the current state of a service
     resource associated with the request. Resolve the conflict before retrying this
     request. See the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updateAuthorizer(args: UpdateAuthorizerInput): Promise<UpdateAuthorizerOutput>;
    updateAuthorizer(args: UpdateAuthorizerInput, cb: (err: any, data?: UpdateAuthorizerOutput) => void): void;
    /**
     * <p>Updates a Deployment.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {BadRequestException} <p>The request is not valid, for example, the input is incomplete or incorrect. See
     the accompanying error message for details.</p>
     *   - {ConflictException} <p>The requested operation would cause a conflict with the current state of a service
     resource associated with the request. Resolve the conflict before retrying this
     request. See the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updateDeployment(args: UpdateDeploymentInput): Promise<UpdateDeploymentOutput>;
    updateDeployment(args: UpdateDeploymentInput, cb: (err: any, data?: UpdateDeploymentOutput) => void): void;
    /**
     * <p>Updates a domain name.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {BadRequestException} <p>The request is not valid, for example, the input is incomplete or incorrect. See
     the accompanying error message for details.</p>
     *   - {ConflictException} <p>The requested operation would cause a conflict with the current state of a service
     resource associated with the request. Resolve the conflict before retrying this
     request. See the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updateDomainName(args: UpdateDomainNameInput): Promise<UpdateDomainNameOutput>;
    updateDomainName(args: UpdateDomainNameInput, cb: (err: any, data?: UpdateDomainNameOutput) => void): void;
    /**
     * <p>Updates an Integration.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {BadRequestException} <p>The request is not valid, for example, the input is incomplete or incorrect. See
     the accompanying error message for details.</p>
     *   - {ConflictException} <p>The requested operation would cause a conflict with the current state of a service
     resource associated with the request. Resolve the conflict before retrying this
     request. See the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updateIntegration(args: UpdateIntegrationInput): Promise<UpdateIntegrationOutput>;
    updateIntegration(args: UpdateIntegrationInput, cb: (err: any, data?: UpdateIntegrationOutput) => void): void;
    /**
     * <p>Updates an IntegrationResponses.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {BadRequestException} <p>The request is not valid, for example, the input is incomplete or incorrect. See
     the accompanying error message for details.</p>
     *   - {ConflictException} <p>The requested operation would cause a conflict with the current state of a service
     resource associated with the request. Resolve the conflict before retrying this
     request. See the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updateIntegrationResponse(args: UpdateIntegrationResponseInput): Promise<UpdateIntegrationResponseOutput>;
    updateIntegrationResponse(args: UpdateIntegrationResponseInput, cb: (err: any, data?: UpdateIntegrationResponseOutput) => void): void;
    /**
     * <p>Updates a Model.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {BadRequestException} <p>The request is not valid, for example, the input is incomplete or incorrect. See
     the accompanying error message for details.</p>
     *   - {ConflictException} <p>The requested operation would cause a conflict with the current state of a service
     resource associated with the request. Resolve the conflict before retrying this
     request. See the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updateModel(args: UpdateModelInput): Promise<UpdateModelOutput>;
    updateModel(args: UpdateModelInput, cb: (err: any, data?: UpdateModelOutput) => void): void;
    /**
     * <p>Updates a Route.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {BadRequestException} <p>The request is not valid, for example, the input is incomplete or incorrect. See
     the accompanying error message for details.</p>
     *   - {ConflictException} <p>The requested operation would cause a conflict with the current state of a service
     resource associated with the request. Resolve the conflict before retrying this
     request. See the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updateRoute(args: UpdateRouteInput): Promise<UpdateRouteOutput>;
    updateRoute(args: UpdateRouteInput, cb: (err: any, data?: UpdateRouteOutput) => void): void;
    /**
     * <p>Updates a RouteResponse.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {BadRequestException} <p>The request is not valid, for example, the input is incomplete or incorrect. See
     the accompanying error message for details.</p>
     *   - {ConflictException} <p>The requested operation would cause a conflict with the current state of a service
     resource associated with the request. Resolve the conflict before retrying this
     request. See the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updateRouteResponse(args: UpdateRouteResponseInput): Promise<UpdateRouteResponseOutput>;
    updateRouteResponse(args: UpdateRouteResponseInput, cb: (err: any, data?: UpdateRouteResponseOutput) => void): void;
    /**
     * <p>Updates a Stage.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {NotFoundException} <p>The resource specified in the request was not found. See the message
     field for more information.</p>
     *   - {TooManyRequestsException} <p>A limit has been exceeded. See the accompanying error message for details.</p>
     *   - {BadRequestException} <p>The request is not valid, for example, the input is incomplete or incorrect. See
     the accompanying error message for details.</p>
     *   - {ConflictException} <p>The requested operation would cause a conflict with the current state of a service
     resource associated with the request. Resolve the conflict before retrying this
     request. See the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updateStage(args: UpdateStageInput): Promise<UpdateStageOutput>;
    updateStage(args: UpdateStageInput, cb: (err: any, data?: UpdateStageOutput) => void): void;
}
