/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateApiInput } from "../types/CreateApiInput";
import { CreateApiOutput } from "../types/CreateApiOutput";
import { ApiGatewayV2ResolvedConfiguration } from "../ApiGatewayV2Configuration";
export * from "../types/CreateApiInput";
export * from "../types/CreateApiOutput";
export * from "../types/CreateApiExceptionsUnion";
export declare class CreateApiCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateApiInput, OutputTypesUnion, CreateApiOutput, ApiGatewayV2ResolvedConfiguration, _stream.Readable> {
    readonly input: CreateApiInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateApiInput, CreateApiOutput, _stream.Readable>;
    constructor(input: CreateApiInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ApiGatewayV2ResolvedConfiguration): __aws_sdk_types.Handler<CreateApiInput, CreateApiOutput>;
}
