"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CreateApiMapping_1 = require("../model/operations/CreateApiMapping");
class CreateApiMappingCommand {
    constructor(input) {
        this.input = input;
        this.model = CreateApiMapping_1.CreateApiMapping;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CreateApiMappingCommand = CreateApiMappingCommand;
//# sourceMappingURL=CreateApiMappingCommand.js.map