"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CreateIntegrationResponse_1 = require("../model/operations/CreateIntegrationResponse");
class CreateIntegrationResponseCommand {
    constructor(input) {
        this.input = input;
        this.model = CreateIntegrationResponse_1.CreateIntegrationResponse;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CreateIntegrationResponseCommand = CreateIntegrationResponseCommand;
//# sourceMappingURL=CreateIntegrationResponseCommand.js.map