"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CreateRoute_1 = require("../model/operations/CreateRoute");
class CreateRouteCommand {
    constructor(input) {
        this.input = input;
        this.model = CreateRoute_1.CreateRoute;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CreateRouteCommand = CreateRouteCommand;
//# sourceMappingURL=CreateRouteCommand.js.map