"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DeleteApi_1 = require("../model/operations/DeleteApi");
class DeleteApiCommand {
    constructor(input) {
        this.input = input;
        this.model = DeleteApi_1.DeleteApi;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DeleteApiCommand = DeleteApiCommand;
//# sourceMappingURL=DeleteApiCommand.js.map