/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetApiInput } from "../types/GetApiInput";
import { GetApiOutput } from "../types/GetApiOutput";
import { ApiGatewayV2ResolvedConfiguration } from "../ApiGatewayV2Configuration";
export * from "../types/GetApiInput";
export * from "../types/GetApiOutput";
export * from "../types/GetApiExceptionsUnion";
export declare class GetApiCommand implements __aws_sdk_types.Command<InputTypesUnion, GetApiInput, OutputTypesUnion, GetApiOutput, ApiGatewayV2ResolvedConfiguration, _stream.Readable> {
    readonly input: GetApiInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetApiInput, GetApiOutput, _stream.Readable>;
    constructor(input: GetApiInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ApiGatewayV2ResolvedConfiguration): __aws_sdk_types.Handler<GetApiInput, GetApiOutput>;
}
