"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetApiMapping_1 = require("../model/operations/GetApiMapping");
class GetApiMappingCommand {
    constructor(input) {
        this.input = input;
        this.model = GetApiMapping_1.GetApiMapping;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetApiMappingCommand = GetApiMappingCommand;
//# sourceMappingURL=GetApiMappingCommand.js.map