"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetIntegrationResponses_1 = require("../model/operations/GetIntegrationResponses");
class GetIntegrationResponsesCommand {
    constructor(input) {
        this.input = input;
        this.model = GetIntegrationResponses_1.GetIntegrationResponses;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetIntegrationResponsesCommand = GetIntegrationResponsesCommand;
//# sourceMappingURL=GetIntegrationResponsesCommand.js.map