"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetIntegrations_1 = require("../model/operations/GetIntegrations");
class GetIntegrationsCommand {
    constructor(input) {
        this.input = input;
        this.model = GetIntegrations_1.GetIntegrations;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetIntegrationsCommand = GetIntegrationsCommand;
//# sourceMappingURL=GetIntegrationsCommand.js.map