"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetRoutes_1 = require("../model/operations/GetRoutes");
class GetRoutesCommand {
    constructor(input) {
        this.input = input;
        this.model = GetRoutes_1.GetRoutes;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetRoutesCommand = GetRoutesCommand;
//# sourceMappingURL=GetRoutesCommand.js.map