"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const UpdateApi_1 = require("../model/operations/UpdateApi");
class UpdateApiCommand {
    constructor(input) {
        this.input = input;
        this.model = UpdateApi_1.UpdateApi;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.UpdateApiCommand = UpdateApiCommand;
//# sourceMappingURL=UpdateApiCommand.js.map