"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const UpdateRoute_1 = require("../model/operations/UpdateRoute");
class UpdateRouteCommand {
    constructor(input) {
        this.input = input;
        this.model = UpdateRoute_1.UpdateRoute;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.UpdateRouteCommand = UpdateRouteCommand;
//# sourceMappingURL=UpdateRouteCommand.js.map