"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CreateAuthorizerInput_1 = require("../shapes/CreateAuthorizerInput");
const CreateAuthorizerOutput_1 = require("../shapes/CreateAuthorizerOutput");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const ConflictException_1 = require("../shapes/ConflictException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateAuthorizer = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateAuthorizer",
    http: {
        method: "POST",
        requestUri: "/v2/apis/{apiId}/authorizers"
    },
    input: {
        shape: CreateAuthorizerInput_1.CreateAuthorizerInput
    },
    output: {
        shape: CreateAuthorizerOutput_1.CreateAuthorizerOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=CreateAuthorizer.js.map