"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CreateIntegrationInput_1 = require("../shapes/CreateIntegrationInput");
const CreateIntegrationOutput_1 = require("../shapes/CreateIntegrationOutput");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const ConflictException_1 = require("../shapes/ConflictException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateIntegration = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateIntegration",
    http: {
        method: "POST",
        requestUri: "/v2/apis/{apiId}/integrations"
    },
    input: {
        shape: CreateIntegrationInput_1.CreateIntegrationInput
    },
    output: {
        shape: CreateIntegrationOutput_1.CreateIntegrationOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=CreateIntegration.js.map