"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CreateIntegrationResponseInput_1 = require("../shapes/CreateIntegrationResponseInput");
const CreateIntegrationResponseOutput_1 = require("../shapes/CreateIntegrationResponseOutput");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const ConflictException_1 = require("../shapes/ConflictException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateIntegrationResponse = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateIntegrationResponse",
    http: {
        method: "POST",
        requestUri: "/v2/apis/{apiId}/integrations/{integrationId}/integrationresponses"
    },
    input: {
        shape: CreateIntegrationResponseInput_1.CreateIntegrationResponseInput
    },
    output: {
        shape: CreateIntegrationResponseOutput_1.CreateIntegrationResponseOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=CreateIntegrationResponse.js.map