"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CreateStageInput_1 = require("../shapes/CreateStageInput");
const CreateStageOutput_1 = require("../shapes/CreateStageOutput");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const ConflictException_1 = require("../shapes/ConflictException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateStage = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateStage",
    http: {
        method: "POST",
        requestUri: "/v2/apis/{apiId}/stages"
    },
    input: {
        shape: CreateStageInput_1.CreateStageInput
    },
    output: {
        shape: CreateStageOutput_1.CreateStageOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=CreateStage.js.map