"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DeleteDeploymentInput_1 = require("../shapes/DeleteDeploymentInput");
const DeleteDeploymentOutput_1 = require("../shapes/DeleteDeploymentOutput");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteDeployment = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteDeployment",
    http: {
        method: "DELETE",
        requestUri: "/v2/apis/{apiId}/deployments/{deploymentId}"
    },
    input: {
        shape: DeleteDeploymentInput_1.DeleteDeploymentInput
    },
    output: {
        shape: DeleteDeploymentOutput_1.DeleteDeploymentOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=DeleteDeployment.js.map