"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetApisInput_1 = require("../shapes/GetApisInput");
const GetApisOutput_1 = require("../shapes/GetApisOutput");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetApis = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetApis",
    http: {
        method: "GET",
        requestUri: "/v2/apis"
    },
    input: {
        shape: GetApisInput_1.GetApisInput
    },
    output: {
        shape: GetApisOutput_1.GetApisOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        }
    ]
};
//# sourceMappingURL=GetApis.js.map