"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetIntegrationResponseInput_1 = require("../shapes/GetIntegrationResponseInput");
const GetIntegrationResponseOutput_1 = require("../shapes/GetIntegrationResponseOutput");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetIntegrationResponse = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetIntegrationResponse",
    http: {
        method: "GET",
        requestUri: "/v2/apis/{apiId}/integrations/{integrationId}/integrationresponses/{integrationResponseId}"
    },
    input: {
        shape: GetIntegrationResponseInput_1.GetIntegrationResponseInput
    },
    output: {
        shape: GetIntegrationResponseOutput_1.GetIntegrationResponseOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetIntegrationResponse.js.map