"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetRouteResponseInput_1 = require("../shapes/GetRouteResponseInput");
const GetRouteResponseOutput_1 = require("../shapes/GetRouteResponseOutput");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetRouteResponse = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetRouteResponse",
    http: {
        method: "GET",
        requestUri: "/v2/apis/{apiId}/routes/{routeId}/routeresponses/{routeResponseId}"
    },
    input: {
        shape: GetRouteResponseInput_1.GetRouteResponseInput
    },
    output: {
        shape: GetRouteResponseOutput_1.GetRouteResponseOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetRouteResponse.js.map