"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetRouteResponsesInput_1 = require("../shapes/GetRouteResponsesInput");
const GetRouteResponsesOutput_1 = require("../shapes/GetRouteResponsesOutput");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetRouteResponses = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetRouteResponses",
    http: {
        method: "GET",
        requestUri: "/v2/apis/{apiId}/routes/{routeId}/routeresponses"
    },
    input: {
        shape: GetRouteResponsesInput_1.GetRouteResponsesInput
    },
    output: {
        shape: GetRouteResponsesOutput_1.GetRouteResponsesOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        }
    ]
};
//# sourceMappingURL=GetRouteResponses.js.map