"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const UpdateStageInput_1 = require("../shapes/UpdateStageInput");
const UpdateStageOutput_1 = require("../shapes/UpdateStageOutput");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const ConflictException_1 = require("../shapes/ConflictException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateStage = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateStage",
    http: {
        method: "PATCH",
        requestUri: "/v2/apis/{apiId}/stages/{stageName}"
    },
    input: {
        shape: UpdateStageInput_1.UpdateStageInput
    },
    output: {
        shape: UpdateStageOutput_1.UpdateStageOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=UpdateStage.js.map