import { NodeHttpOptions as __HttpOptions__ } from "@aws-sdk/types";
import * as __aws_sdk_types from "@aws-sdk/types";
/**
 * UpdateModelInput shape
 */
export interface UpdateModelInput {
    /**
     * <p>The API identifier.</p>
     */
    ApiId: string;
    /**
     * <p>The content-type for the model, for example, "application/json".</p>
     */
    ContentType?: string;
    /**
     * <p>The description of the model.</p>
     */
    Description?: string;
    /**
     * <p>The model ID.</p>
     */
    ModelId: string;
    /**
     * <p>The name of the model.</p>
     */
    Name?: string;
    /**
     * <p>The schema for the model. For application/json models, this should be JSON schema
     *  draft 4 model.</p>
     */
    Schema?: string;
    /**
     * The maximum number of times this operation should be retried. If set, this value will override the `maxRetries` configuration set on the client for this command.
     */
    $maxRetries?: number;
    /**
     * An object that may be queried to determine if the underlying operation has been aborted.
     *
     * @see https://developer.mozilla.org/en-US/docs/Web/API/AbortSignal
     */
    $abortSignal?: __aws_sdk_types.AbortSignal;
    /**
     * Per-request HTTP configuration options. If set, any options specified will override the corresponding HTTP option set on the client for this command.
     */
    $httpOptions?: __HttpOptions__;
}
